Package net.shibboleth.idp.saml.xmlobject.impl

# Class KeyAuthorityUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
net.shibboleth.idp.saml.xmlobject.impl.KeyAuthorityUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

@ThreadSafe public class KeyAuthorityUnmarshaller extends AbstractXMLObjectUnmarshaller
Unmarshaller for `KeyAuthority`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`KeyAuthorityUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processAttribute(XMLObject xmlObject, Attr attribute)`
`protected void`
`processChildElement(XMLObject parentXMLObject, XMLObject childXMLObject)`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### KeyAuthorityUnmarshaller

public KeyAuthorityUnmarshaller()

## Method Details

### processAttribute

protected void processAttribute(@Nonnull XMLObject xmlObject, @Nonnull Attr attribute) throws UnmarshallingException

Overrides:
  `processAttribute` in class `AbstractXMLObjectUnmarshaller`
Throws:
  `UnmarshallingException`

### processChildElement

protected void processChildElement(@Nonnull XMLObject parentXMLObject, @Nonnull XMLObject childXMLObject) throws UnmarshallingException

Overrides:
  `processChildElement` in class `AbstractXMLObjectUnmarshaller`
Throws:
  `UnmarshallingException`